/// <reference path="../types/all.d.ts" />
import { DiffingCompilerOptions } from './broccoli-typescript';
import * as ts from 'typescript';
/**
 * Convert from a hash (possibly loaded from file) to Typescript Compiler Options.
 * The rationale for making this available separately is to be able to handle errors
 * in the configuration data.
 */
export declare function toTypescriptOptions(options: any, basePath: string): {
    options: ts.CompilerOptions;
    errors: ts.Diagnostic[];
};
export interface LoadedOptions {
    options: ts.CompilerOptions;
    errors: ts.Diagnostic[];
}
/**
 * Load the configuration from the tsconfig.json file for the consuming project.
 */
export declare function loadProjectTsconfig(root: string): LoadedOptions;
export interface CompilerOptions extends DiffingCompilerOptions {
    tsconfig?: string;
}
export declare function Compiler(tree: BroccoliTree, options?: CompilerOptions): any;
